%global api 1.0
%global commit 3fcae066b44195c187b5611acfd511b9a87850d0
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           dleyna-server
Version:        0.4.0
Release:        6%{?dist}
Summary:        Service for interacting with Digital Media Servers

License:        LGPLv2
URL:            https://01.org/dleyna/

Source0:        https://github.com/01org/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  autoconf automake libtool
BuildRequires:  dleyna-core-devel
BuildRequires:  glib2-devel >= 2.28
BuildRequires:  gssdp-devel >= 0.13.2
BuildRequires:  gupnp-devel >= 0.20.3
BuildRequires:  gupnp-av-devel >= 0.11.5
BuildRequires:  gupnp-dlna-devel >= 0.9.4
BuildRequires:  libsoup-devel
BuildRequires:  pkgconfig
Requires:       dbus
Requires:       dleyna-connector-dbus

%description
D-Bus service for clients to discover and manipulate DLNA Digital Media
Servers (DMSes).


%prep
%setup -qn %{name}-%{commit}

%build
autoreconf -fiv
%configure \
  --disable-silent-rules \
  --disable-static

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -delete -print

# We don't need a -devel package because only the daemon is supposed to be
# using the library.
rm -rf $RPM_BUILD_ROOT/%{_includedir}
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/libdleyna-server-%{api}.so
rm -rf $RPM_BUILD_ROOT/%{_libdir}/pkgconfig


%files
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
%{_datadir}/dbus-1/services/com.intel.%{name}.service

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdleyna-server-%{api}.so.*

%{_libexecdir}/%{name}-service
%config(noreplace) %{_sysconfdir}/%{name}-service.conf


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.4.0-4
- Pass -v to autoreconf and -print to find

* Fri Feb 21 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.4.0-3
- Fix the Source0 as per
  https://fedoraproject.org/wiki/Packaging:SourceURL#Github

* Tue Feb 11 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.4.0-2
- Mention the full commit hash corresponding to the release as per
  https://fedoraproject.org/wiki/Packaging:SourceURL#Github

* Wed Jan 15 2014 Bastien Nocera <bnocera@redhat.com> - 0.4.0-1
- Initial version
